[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# TRowState

Stores values from the TRowStateValue enumeration

## Declaration

Source position: bufdataset.pas line 350

`type TRowState = set of (`
`rsvOriginal,` |  | Buffer contains the original value(s)
`rsvDeleted,` |  | Buffer is for a record that will be deleted
`rsvInserted,` |  | Buffer is for a record that will be inserted
`rsvUpdated,` |  | Buffer is for a record that will be updated
`rsvDetailUpdates` |  | Buffer is for updates to a detail (child) dataset
`);`

## Description

TRowState is a set type used to store values from the TRowStateValue enumeration. TRowState is used to indicate the state for records loaded and saved using the data packet handler in TBufDataset.

## See also

TDatapacketReader |  | Implements a data packet reader for TBufDataset
TFpcBinaryDatapacketReader |  | Implements a data packet reader using binary data packets